This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 247159 - VIP parameters 'monitor_link' not apply
VIP parameters 'monitor_link' not apply
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rgmanager (Show other bugs)
4
All Linux
low Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks: 489369 532756
  Show dependency treegraph
 
Reported: 2007-07-05 14:23 EDT by xoleron
Modified: 2010-10-22 12:07 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0791
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 489369 532756 (view as bug list)
Environment:
Last Closed: 2008-07-25 15:15:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
VIP script modified (18.43 KB, application/x-shellscript)
2007-07-05 14:23 EDT, Jonathan Basse
no flags Details
Path for /usr/share/cluster/ip.sh to disable ethernet check with 'monitor_link=0' (2.19 KB, patch)
2007-07-11 09:37 EDT, Jonathan Basse
no flags Details | Diff

  None (edit)
Description Jonathan Basse 2007-07-05 14:23:26 EDT
Description of problem:
VIP doesn't start if ethernet link is down even if 'monitor_link' is set to '0'

Version-Release number of selected component (if applicable):
RHEL4U4
rgmanage-1.9.68-1

How reproducible:
Easily.

Steps to Reproduce:
1. Create a service containing an IP resource.
2. Bring the target Ethernet link down (unplug the cable).
3. Try to start the resource on the node.
  
Actual results:
The resource won't start until the link is up.

Expected results:
If the 'monitor_link' parameter is set to '0' we are excepting that the cluster
will start the resource whether the status of the ethernet link.

Additional info:
A test script has been provide to a TAM customer.
Found it in attachment.
Comment 1 Jonathan Basse 2007-07-05 14:23:27 EDT
Created attachment 158609 [details]
VIP script modified
Comment 2 Jonathan Basse 2007-07-11 09:37:03 EDT
Created attachment 158946 [details]
Path for /usr/share/cluster/ip.sh to disable ethernet check with 'monitor_link=0'
Comment 13 errata-xmlrpc 2008-07-25 15:15:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0791.html

Note You need to log in before you can comment on or make changes to this bug.